<?php
define('SF_ROOT_DIR', "/home/creperuy1/public_html/crediya");
//define('SF_ROOT_DIR', "C://wamp/www/carlin");
define('SF_APP',      'sys');
date_default_timezone_set ( "America/Lima" ); 
//require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR."lib".DIRECTORY_SEPARATOR."functions".DIRECTORY_SEPARATOR."HelperHelper.php");
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'config'.DIRECTORY_SEPARATOR.'config.php');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'config'.DIRECTORY_SEPARATOR.'config_core_compile.php');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'cache'.DIRECTORY_SEPARATOR.'config_autoload.php');

use_helper('UtilFunctions'); 


$con= Conexion::getConexion();
$a_param = Conexion::getParamDbByAlias($apps);




if (!mysql_select_db($a_param['db'], $con)) {
    echo 'Could not select database';
    exit;
}

$sql = "update `cr_prestamo`
		set NoReporteCobranza =  '1'
		WHERE DATE_ADD( `FechaVencimiento` , INTERVAL 3
		MONTH ) < CURDATE( )
		AND Estado = 'P'
		";

$result = mysql_query($sql,$con);


$sql = "SELECT max( FechaCierre ) FechaAbierta
		FROM cr_balance_dia ";

$result = mysql_query( $sql, $con);

if(mysql_num_rows($result)>0){
	while ($row = mysql_fetch_array($result)){
		$FechaAbierta =  $row['FechaAbierta'];
	}
}

if($FechaAbierta){
	$sql = "UPDATE `cr_prestamo`
			SET 	MoraAcumulada 	=  DATEDIFF( left('".$FechaAbierta."', 10 ),FechaVencimiento ) * ( 0.5 /100 ) * SaldoPrestamo,
					SaldoMora 		=  DATEDIFF( left('".$FechaAbierta."', 10 ),FechaVencimiento ) * ( 0.5 /100 ) * SaldoPrestamo
			WHERE 	`FechaVencimiento`  <= '".$FechaAbierta." 23:59:59'
					AND Estado = 'P'
					AND Eliminado ='0'
					

			";
	$sql = "UPDATE `cr_prestamo`
			SET 	MoraAcumulada 	=  DATEDIFF( left('".$FechaAbierta."', 10 ),FechaVencimiento ) * ( 0.5 /100 ) * MontoTotal,
					SaldoMora 		=  DATEDIFF( left('".$FechaAbierta."', 10 ),FechaVencimiento ) * ( 0.5 /100 ) * MontoTotal
			WHERE 	`FechaVencimiento`  <= '".$FechaAbierta." 23:59:59'
					AND Estado = 'P'
					AND Eliminado ='0'
					

			";		
			
	
	$result = mysql_query($sql,$con);
}


//Actualizar los saldos de las moras

$sql = "SELECT *
		FROM `cr_prestamo`
		WHERE 	`FechaVencimiento`  <= '".$FechaAbierta." 23:59:59'
				AND Estado = 'P'
				AND Eliminado ='0'";
echo $sql;
	
$result = mysql_query($sql,$con);

$num_rows = mysql_num_rows($result);
    

if($num_rows > 0){
  while ($o_valor = mysql_fetch_object($result)) {
  	$MoraAcumulada 	= $o_valor->MoraAcumulada;	
  	$IdPrestamo  	= $o_valor->IdPrestamo;	
	$sql = "SELECT 	Idprestamo,sum(MontoPago) as MontoPago
			FROM 	`cr_pago`
			WHERE 	`IdPrestamo` = '".$IdPrestamo."'
					AND TipoPago = '2'
			GROUP by Idprestamo";
		
	$result2 = mysql_query($sql,$con);
	
	$num_rows2 = mysql_num_rows($result2);
	if($num_rows2 > 0){
	  while ($o_valorpago = mysql_fetch_object($result2)) {
	  	$MontoPago 	= $o_valorpago->MontoPago; 
	  	
		$saldoMora 	= $MoraAcumulada - $MontoPago;
	  	$sql = "UPDATE `cr_prestamo`
				SET 	SaldoMora =  '".$saldoMora."',
				        MoraAmortizada =  $MontoPago
				WHERE 	`IdPrestamo`  = '".$IdPrestamo."'
				";
	  	echo $sql;
	  	echo "<br>";
	  	$result_mora = mysql_query($sql,$con);
	  }
	}
  	
  }
}



?>